log4shib 2.0.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
log4shib::RemoteSyslogAppender Class Reference

RemoteSyslogAppender sends LoggingEvents to a remote syslog system. More...

`#include <RemoteSyslogAppender.hh>`

Inheritance diagram for log4shib::RemoteSyslogAppender:
[legend]
Collaboration diagram for log4shib::RemoteSyslogAppender:
[legend]

## Public Member Functions
| RemoteSyslogAppender (const std::string &name, const std::string &syslogName, const std::string &relayer, int facility=LOG_USER, int portNumber=514)
| Instantiate a RemoteSyslogAppender with given name and name and facility for syslog. More...
virtual | ~RemoteSyslogAppender ()
virtual bool | reopen ()
| Closes and reopens the socket. More...
virtual void | close ()
| Closes the socket. More...
Public Member Functions inherited from log4shib::LayoutAppender
| LayoutAppender (const std::string &name)
virtual | ~LayoutAppender ()
virtual bool | requiresLayout () const
| Check if the appender requires a layout. More...
virtual void | setLayout (Layout *layout=NULL)
| Set the Layout for this appender. More...
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton. More...
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way. More...
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()
| Get the Filter for this appender. More...
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender. More...
virtual void | doAppend (const LoggingEvent &event)=0
| Log in Appender specific way. More...
virtual bool | reopen ()=0
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
const std::string & | getName () const
| Get the name of this appender. More...
virtual void | setThreshold (Priority::Value priority)=0
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()=0
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)=0
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()=0
| Get the Filter for this appender. More...

## Static Public Member Functions
static int | toSyslogPriority (Priority::Value priority)
| Translates a log4shib priority to a syslog priority. More...
Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender. More...
static bool | reopenAll ()
| Call reopen() on all existing Appenders. More...
static void | closeAll ()
| Call reopen() on all existing Appenders. More...

## Protected Member Functions
virtual void | open ()
| Just creates the socket. More...
virtual void | _append (const LoggingEvent &event)
| Sends a LoggingEvent to the remote syslog. More...
Protected Member Functions inherited from log4shib::LayoutAppender
Layout & | _getLayout ()
| Return the layout of the appender. More...
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton. More...
virtual void | _append (const LoggingEvent &event)=0
| Log in Appender specific way. More...
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender. More...

## Protected Attributes
const std::string | _syslogName
const std::string | _relayer
int | _facility
int | _portNumber
int | _socket
in_addr_t | _ipAddr

## Additional Inherited Members
Public Types inherited from log4shib::LayoutAppender
typedef BasicLayout | DefaultLayoutType

## Detailed Description

RemoteSyslogAppender sends LoggingEvents to a remote syslog system.

Also see: draft-ietf-syslog-syslog-12.txt

## Constructor & Destructor Documentation

## ◆ RemoteSyslogAppender()

log4shib::RemoteSyslogAppender::RemoteSyslogAppender | ( | const std::string & | name,
|  | const std::string & | syslogName,
|  | const std::string & | relayer,
|  | int | facility = `LOG_USER`,
|  | int | portNumber = `514`
| ) |  |

Instantiate a RemoteSyslogAppender with given name and name and facility for syslog.

Parameters

  name | The name of the Appender
  syslogName | The ident parameter in the openlog(3) call.
  relayer | The IP address or hostname of a standard syslog host.
  facility | The syslog facility to log to. Defaults to LOG_USER. Value '-1' implies to use the default.
  portNumber | An alternative port number. Defaults to the standard syslog port number (514). Value '-1' implies to use the default.

## ◆ ~RemoteSyslogAppender()

log4shib::RemoteSyslogAppender::~RemoteSyslogAppender | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _append()

void log4shib::RemoteSyslogAppender::_append | ( | const LoggingEvent & | event | ) |
| protected virtual

Sends a LoggingEvent to the remote syslog.

Parameters

  event | the LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

## ◆ close()

void log4shib::RemoteSyslogAppender::close | ( |  | ) |
| virtual

Closes the socket.

Implements log4shib::AppenderSkeleton.

## ◆ open()

void log4shib::RemoteSyslogAppender::open | ( |  | ) |
| protected virtual

Just creates the socket.

## ◆ reopen()

bool log4shib::RemoteSyslogAppender::reopen | ( |  | ) |
| virtual

Closes and reopens the socket.

Reimplemented from log4shib::AppenderSkeleton.

## ◆ toSyslogPriority()

int log4shib::RemoteSyslogAppender::toSyslogPriority | ( | Priority::Value | priority | ) |
| static

Translates a log4shib priority to a syslog priority.

Parameters

  priority | The log4shib priority.

Returns
  the syslog priority.

## Member Data Documentation

## ◆ _facility

int log4shib::RemoteSyslogAppender::_facility
| protected

## ◆ _ipAddr

in_addr_t log4shib::RemoteSyslogAppender::_ipAddr
| protected

## ◆ _portNumber

int log4shib::RemoteSyslogAppender::_portNumber
| protected

## ◆ _relayer

const std::string log4shib::RemoteSyslogAppender::_relayer
| protected

## ◆ _socket

int log4shib::RemoteSyslogAppender::_socket
| protected

## ◆ _syslogName

const std::string log4shib::RemoteSyslogAppender::_syslogName
| protected

The documentation for this class was generated from the following files:

- RemoteSyslogAppender.hh
- RemoteSyslogAppender.cpp